<html xmlns:f="http://xsd.helmut-hummel.de/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      data-namespace-typo3-fluid="true">

<section class="main--navigation-2">
	<nav class="navbar fixed-top navbar-expand-lg navbar-light py-3 py-md-4">
		<div class="container d-flex flex-column flex-lg-row justify-content-between align-items-center">
			<f:link.page pageUid="{companydata.rootpageid}" title="Home" class="navbar-brand logo p-0 mb-3 mb-lg-0">
			    <f:image src="{companydata.logo}" alt="{companydata.companyname}" class="logo"/>
			</f:link.page>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="wrapper d-flex">
				<div class="collapse navbar-collapse mr-md-2 py-3" id="navbarNavDropdown">
					
					<f:if condition="{v:page.info(field: 'uid')} == {companydata.rootpageid}">
					  <f:then>
					    <f:render partial="MenuRecursion" section="MenuRecursionStart" arguments="{recursionStartPageUid: '{companydata.rootpageid}'}"/>
					  </f:then>
					  <f:else>
					    <ul class="navbar-nav">
							<li class="nav-item {startLevelPage.class} {f:if(condition: startLevelPage.hasSubPages, then: 'hasSub')} {f:if(condition: startLevelPage.active, then: 'active')}">
								<v:page.link class="nav-link" pageUid="{companydata.rootpageid}">Home</v:page.link>
							</li>
						</ul>
					  </f:else>
					</f:if>
				</div>
			</div>
		</div>
	</nav>
</section>

</html>